#ifndef W5500_H
#define W5500_H

#include <stdint.h>

// Sets the CS pin low
void W5500_Select(void);

// Sets the CS pin high
void W5500_Unselect(void);

// Reads a byte via SPI
uint8_t W5500_ReadByte(void);

// Writes a byte via SPI
void W5500_WriteByte(uint8_t byte);

// Reads multiple bytes via SPI
void W5500_ReadBuff(uint8_t* buff, uint16_t len);

// Writes multiple bytes via SPI
void W5500_WriteBuff(uint8_t* buff, uint16_t len);

#endif  // W5500_H
